TestGormStaticApi (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: grails.test.mixin.domain

## [Groovy] Class TestGormStaticApi

- grails.test.mixin.domain.TestGormStaticApi

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.grails.datastore.gorm.GormStaticApi` | `__$stMC, __$stMC, __$stMC`
    `class org.grails.datastore.gorm.AbstractGormApi` | `__$stMC, __$stMC`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TestGormStaticApi (java.lang.Class persistentClass, org.grails.datastore.mapping.core.Datastore datastore, java.util.List<org.grails.datastore.gorm.finders.FinderMethod> finders, org.springframework.transaction.PlatformTransactionManager transactionManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.grails.datastore.mapping.query.api.BuildableCriteria` | `createCriteria()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.grails.datastore.gorm.GormStaticApi` | `org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, [Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, [Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String), org.grails.datastore.gorm.GormStaticApi#merge(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getAll(), org.grails.datastore.gorm.GormStaticApi#getAll([Ljava.io.Serializable;), org.grails.datastore.gorm.GormStaticApi#getAll(java.lang.Iterable), org.grails.datastore.gorm.GormStaticApi#methodMissing(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getCount(), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, [Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.Object, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#findAll(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAll(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAll(), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#where(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#deleteAll(java.lang.Iterable), org.grails.datastore.gorm.GormStaticApi#deleteAll([Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#super$3$$getStaticMetaClass(), org.grails.datastore.gorm.GormStaticApi#withCriteria(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withCriteria(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAllWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAllWhere(java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findWhere(java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findOrCreateWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findOrSaveWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#withSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withDatastoreSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withTransaction(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withTransaction(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withTransaction(org.springframework.transaction.TransactionDefinition, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withNewTransaction(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withNewTransaction(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withNewSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withStatelessSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#getValidationErrorsMap(), org.grails.datastore.gorm.GormStaticApi#getValidationSkipMap(), org.grails.datastore.gorm.GormStaticApi#getGormPersistentEntity(), org.grails.datastore.gorm.GormStaticApi#getGormDynamicFinders(), org.grails.datastore.gorm.GormStaticApi#whereLazy(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#whereAny(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#saveAll([Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#saveAll(java.lang.Iterable), org.grails.datastore.gorm.GormStaticApi#getAsync(), org.grails.datastore.gorm.GormStaticApi#createCriteria(), org.grails.datastore.gorm.GormStaticApi#lock(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#get(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#count(), org.grails.datastore.gorm.GormStaticApi#first(java.lang.String), org.grails.datastore.gorm.GormStaticApi#first(), org.grails.datastore.gorm.GormStaticApi#first(java.util.Map), org.grails.datastore.gorm.GormStaticApi#list(java.util.Map), org.grails.datastore.gorm.GormStaticApi#list(), org.grails.datastore.gorm.GormStaticApi#exists(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#load(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#find(java.lang.Object, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String), org.grails.datastore.gorm.GormStaticApi#find(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, [Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#create(), org.grails.datastore.gorm.GormStaticApi#last(java.util.Map), org.grails.datastore.gorm.GormStaticApi#last(java.lang.String), org.grails.datastore.gorm.GormStaticApi#last(), org.grails.datastore.gorm.GormStaticApi#read(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#proxy(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.GormStaticApi#getExtendedMethods(), org.grails.datastore.gorm.GormStaticApi#getEXCLUDES(), org.grails.datastore.gorm.GormStaticApi#getMethods(), org.grails.datastore.gorm.GormStaticApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getMetaClass(), org.grails.datastore.gorm.GormStaticApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormStaticApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getProperty(java.lang.String), org.grails.datastore.gorm.GormStaticApi#wait(long, int), org.grails.datastore.gorm.GormStaticApi#wait(long), org.grails.datastore.gorm.GormStaticApi#wait(), org.grails.datastore.gorm.GormStaticApi#equals(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#toString(), org.grails.datastore.gorm.GormStaticApi#hashCode(), org.grails.datastore.gorm.GormStaticApi#getClass(), org.grails.datastore.gorm.GormStaticApi#notify(), org.grails.datastore.gorm.GormStaticApi#notifyAll()`
    `class org.grails.datastore.gorm.AbstractGormApi` | `org.grails.datastore.gorm.AbstractGormApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.AbstractGormApi#getExtendedMethods(), org.grails.datastore.gorm.AbstractGormApi#getEXCLUDES(), org.grails.datastore.gorm.AbstractGormApi#getMethods(), org.grails.datastore.gorm.AbstractGormApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getMetaClass(), org.grails.datastore.gorm.AbstractGormApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.AbstractGormApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getProperty(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#wait(long, int), org.grails.datastore.gorm.AbstractGormApi#wait(long), org.grails.datastore.gorm.AbstractGormApi#wait(), org.grails.datastore.gorm.AbstractGormApi#equals(java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#toString(), org.grails.datastore.gorm.AbstractGormApi#hashCode(), org.grails.datastore.gorm.AbstractGormApi#getClass(), org.grails.datastore.gorm.AbstractGormApi#notify(), org.grails.datastore.gorm.AbstractGormApi#notifyAll()`

- - ### Constructor Detail

    - #### TestGormStaticApi(java.lang.Class persistentClass, org.grails.datastore.mapping.core.Datastore datastore, java.util.List<org.grails.datastore.gorm.finders.FinderMethod> finders, org.springframework.transaction.PlatformTransactionManager transactionManager)

  - ### Method Detail

    - #### org.grails.datastore.mapping.query.api.BuildableCriteria createCriteria()